<?xml version="1.0" encoding="UTF-8"?>

<!-- generateCSS -->

<xsl:stylesheet version="2.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xhtml="http://www.w3.org/TR/xhtml/strict"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xmlns:tei="http://www.tei-c.org/ns/1.0"
		xmlns:xinclude="http://www.w3.org/2001/XInclude"
		xmlns:xlink="http://www.w3.org/1999/xlink"
   	xmlns="http://www.xmlmind.com/xmleditor/schema/configuration"
		exclude-result-prefixes="tei xhtml">

<xsl:output method="xml" encoding="UTF-8" indent="no"/>

<xsl:param name="directory"/>
<xsl:param name="filename"/>
<xsl:param name="configrepertory"/>

<xsl:variable name="file" select="concat($directory,'/',$filename)"/>
<xsl:variable name="cssrepertory" select="concat($configrepertory,'/../../css/')"/>

<xsl:template match="@*|node()">
  <xsl:copy>
    <xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
</xsl:template>

<xsl:template match="/">
  <!-- écriture du fichier de conf temoins.incl qui appel les CSS -->
  <xsl:result-document href="{concat($cssrepertory,'/temoins/temoins.incl')}" method="xml">
    <configuration xsi:schemaLocation="http://www.xmlmind.com/xmleditor/schema/configuration ../configuration/xsd/configuration.xsd"
               xmlns="http://www.xmlmind.com/xmleditor/schema/configuration"
               xmlns:tei="http://www.tei-c.org/ns/1.0"
               xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
               xmlns:xs="http://www.w3.org/2001/XMLSchema"
               xmlns:cfg="http://www.xmlmind.com/xmleditor/schema/configuration">
         <xsl:for-each select="document($file)//tei:witness">
           <css alternate="true">
             <xsl:attribute name="location">
               <xsl:value-of select="concat(@xml:id,'.css')"/>
             </xsl:attribute>
             <xsl:attribute name="name">
               <xsl:value-of select="concat('Témoin ',@xml:id)"/>
             </xsl:attribute>
           </css>
         </xsl:for-each>       
    </configuration>
  </xsl:result-document>
  <!-- écriture des fichiers CSS par témoins (rationnalisée témoins + mains) -->
  <xsl:for-each select="document($file)//tei:witness">
    <xsl:variable name="ms">
      <xsl:value-of select="@xml:id"/>
    </xsl:variable>
    <xsl:result-document href="{concat($cssrepertory,'/temoins/',@xml:id,'.css')}" method="text">
      @import url(../core.css);     
      teiHeader {
        display:none;
      }
      
      front {
        collapsible:yes;
        collapsed:no;
        display:block;
      }
      
      lem {
        display:none;
        }

      lem[wit*=<xsl:value-of select="$ms"/>] {
        display:inline;
        color:teal;
      }
      
      <xsl:for-each select="document($file)//tei:handNote[starts-with(@xml:id,$ms)]">
        lem[wit*=<xsl:value-of select="@xml:id"/>] {
          display:inline;
          color:#578063;
        }
      </xsl:for-each>
      
      witDetail {
        display:none;
      }

      witDetail[wit*=<xsl:value-of select="$ms"/>] {
        color:red;
        display: marker;
        font-size:12px;
        color:#330066;
        padding-left:5px;
        padding-right:5px;
        background-color: #FFFF66;
      }
      
      <xsl:for-each select="document($file)//tei:handNote[starts-with(@xml:id,$ms)]">
        witDetail[wit*=<xsl:value-of select="@xml:id"/>] {
          color:red;
          display: marker;
          font-size:12px;
          color:#330066;
          padding-left:5px;
          padding-right:5px;
          background-color: #FFFF66;
        }
      </xsl:for-each>
      
      rdg {
        display:none;
      }

      rdg[wit*=<xsl:value-of select="$ms"/>] {
        display:inline;
        color:red;
      }
      
      <xsl:for-each select="document($file)//tei:handNote[starts-with(@xml:id,$ms)]">
        rdg[wit*=<xsl:value-of select="@xml:id"/>] {
          display:inline;
          color:#B26236;
        }
      </xsl:for-each>
      
      gap {
        content:"&lt;•&gt;";
      }
      
      lacunaStart,
      lacunaEnd {
        display:none;
      }
      
      lacunaStart[wit*=<xsl:value-of select="$ms"/>]{
        display: inline-block;
        content:"Début de la lacune dans "attr(wit)" ";
        font-style:italic;
        background-color: #DBDBDB;
      }

      lacunaEnd[wit*=<xsl:value-of select="$ms"/>]{
        display: inline-block;
        content:"fin de la lacune dans "attr(wit)" ";
        font-style:italic;
        background-color: #DBDBDB;
      }
      
      index {
        display:none;
      }
      
      note {
        display:none;
      }
      
      pb[ed*=<xsl:value-of select="$ms"/>] {
	       display: marker;
	       content: " ["attr(ed)" - "attr(n)"] ";
	       color: #9370d8;
	       font-style: normal;
      }
    </xsl:result-document>
  </xsl:for-each>  
</xsl:template>

</xsl:stylesheet>
